2011年4月30日 星期六

openSUSE 11.4 的 DSL 連線

https://bugzilla.novell.com/show_bug.cgi?id=668586
如果您在家是使用 ADSL 連線
您會發現在使用 YaST 設定 DSL 連線時提示需要 linux-atm-lib
但是這個套件不在DVD,也不存在於 11.4 的 OSS 套件庫中
結果無法儲存設定
當然無法使用 DSL 撥號連線
http://susexd.blogspot.com/2011/03/opensuse-114-linux-atm-lib.html
http://www.linuxsir.org/bbs/thread376323-2.html
http://forums.opensuse.org/english/get-technical-help-here/network-internet/455322-setiing-dsl-connection-11-4-kde.html
您可以
1. 用光碟安裝 NetworkManager-gnome 套件,用 nm-applet 來連上 ADSL
(推薦)
或者
2. 修改 /usr/share/YaST2/modules/DSL.ycp 將
global list Packages() {
if(size(NetworkInterfaces::List("dsl")) < 1) return [];
return ["smpppd", "ppp", "pptp", "linux-atm-lib"];
}

改成
global list Packages() {
if(size(NetworkInterfaces::List("dsl")) < 1) return [];
return ["smpppd", "ppp", "pptp"];
}


因為一般來說不需要這個套件
(而且這個套件在11.4已經改名了)
然後執行
# ycpc -c /usr/share/YaST2/modules/DSL.ycp

重新開啟 YaST 即可順利進行設定
當然 DVD 還是要準備好,因為需要 smpppd 這個套件

3 則留言:

chienkui 提到...

這個bug真的蠻扯的,在設定DSL組態時,還沒儲存組態安裝程式就要連到網路套件庫下載,啊DSL都還沒設定是要怎樣連網路勒?
還好Penny大已提供了解決方法(http://susexd.blogspot.com/2011/03/opensuse-114-linux-atm-lib.html),也謝謝黑眼珠老大提供更詳細的說明!

swyear 提到...

是真的蠻扯的...

豪武療 提到...

請問這個bug在13.1消失了沒?